Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: SMplayer Version of MPlayer doesn't support AAC?

  1. #1
    Join Date
    Oct 2004
    Location
    San Antonio, TX
    Beans
    120
    Distro
    Ubuntu 14.04 Trusty Tahr

    Question SMplayer Version of MPlayer doesn't support AAC?

    Here's the log I get from one of several files I'm having this problem with - exact same files play under VLC or under Windows, but to get smooth 1080 I need the vpau support so...

    Setup is 64-bit Ubuntu 12.04 with the latest version of SMplayer installed:

    Code:
    /usr/bin/mplayer -noquiet -nofs -nomouseinput -vc ffh264vdpau,ffmpeg12vdpau,ffwmv3vdpau,ffvc1vdpau, -sub-fuzziness 1 -identify -msglevel demux=6 -slave -vo vdpau -ao pulse -nokeepaspect -framedrop -nodr -double -input conf=/usr/share/smplayer/input.conf -stop-xscreensaver -wid 56623149 -monitorpixelaspect 1 -*** -embeddedfonts -***-line-spacing 0 -***-font-scale 1 -***-styles /home/ewang/.config/smplayer/styles.*** -fontconfig -font Arial -subfont-autoscale 0 -subfont-osd-scale 20 -subfont-text-scale 20 -subcp ISO-8859-1 -subpos 100 -nocache -osdlevel 0 -slices -channels 2 -af equalizer=0:0:0:0:0:0:0:0:0:0 -softvol -softvol-max 110 /media/USB2_4TB/ForWatching/[Commie] Macross Frontier the Movie ~Sayonara no Tsubasa~ [BD 1080p AAC] [66AE8F11].mkv
    
    MPlayer svn r34540 (Ubuntu), built with gcc-4.6 (C) 2000-2012 MPlayer Team
    mplayer: could not connect to socket
    mplayer: No such file or directory
    Failed to open LIRC support. You will not be able to use your remote control.
    Terminal type `unknown' is not defined.
    
    Playing /media/USB2_4TB/ForWatching/[Commie] Macross Frontier the Movie ~Sayonara no Tsubasa~ [BD 1080p AAC] [66AE8F11].mkv.
    libavformat version 53.21.0 (external)
    Mismatching header version 53.19.0
    Configuration: --extra-version='4:0.8.1-0ubuntu1' --arch=amd64 --prefix=/usr --libdir=/usr/lib/x86_64-linux-gnu --enable-vdpau --enable-bzlib --enable-libgsm --enable-libschroedinger --enable-libspeex --enable-libtheora --enable-libvorbis --enable-pthreads --enable-zlib --enable-libvpx --enable-runtime-cpudetect --enable-libfreetype --enable-vaapi --enable-gpl --enable-postproc --enable-swscale --enable-x11grab --enable-libdc1394 --shlibdir=/usr/lib/x86_64-linux-gnu --enable-shared --disable-static
    libavformat file format detected.
    [matroska,webm @ 0x7fa60464d940]max_analyze_duration reached
    [matroska,webm @ 0x7fa60464d940]Estimating duration from bitrate, this may be inaccurate
    ID_VIDEO_ID=0
    [lavf] stream 0: video (h264), -vid 0
    ID_AUDIO_ID=0
    [lavf] stream 1: audio (aac), -aid 0
    ID_SUBTITLE_ID=0
    [lavf] stream 2: subtitle (***), -sid 0
    VIDEO:  [H264]  1916x1076  0bpp  23.976 fps    0.0 kbps ( 0.0 kbyte/s)
    Load subtitles in /media/USB2_4TB/ForWatching/
    ID_FILENAME=/media/USB2_4TB/ForWatching/[Commie] Macross Frontier the Movie ~Sayonara no Tsubasa~ [BD 1080p AAC] [66AE8F11].mkv
    ID_DEMUXER=lavfpref
    ID_VIDEO_FORMAT=H264
    ID_VIDEO_BITRATE=0
    ID_VIDEO_WIDTH=1916
    ID_VIDEO_HEIGHT=1076
    ID_VIDEO_FPS=23.976
    ID_VIDEO_ASPECT=1.7807
    ID_AUDIO_FORMAT=MP4A
    ID_AUDIO_BITRATE=0
    ID_AUDIO_RATE=48000
    ID_AUDIO_NCH=6
    ID_START_TIME=0.00
    ID_LENGTH=6861.63
    ID_SEEKABLE=1
    ID_CHAPTERS=0
    Opening video filter: [*** auto=1]
    Couldn't open video filter '***'.
    ***: cannot add video filter
    ==========================================================================
    Forced video codec: ffh264vdpau
    Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
    libavcodec version 53.35.0 (external)
    Mismatching header version 53.32.2
    Selected video codec: [ffh264vdpau] vfm: ffmpeg (FFmpeg H.264 (VDPAU))
    ==========================================================================
    ID_VIDEO_CODEC=ffh264vdpau
    ==========================================================================
    Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
    AUDIO: 48000 Hz, 6 ch, s16le, 0.0 kbit/0.00% (ratio: 0->576000)
    ID_AUDIO_BITRATE=0
    ID_AUDIO_RATE=48000
    ID_AUDIO_NCH=6
    Selected audio codec: [ffaac] afm: ffmpeg (FFmpeg AAC (MPEG-2/MPEG-4 Audio))
    ==========================================================================
    AO: [pulse] 48000Hz 2ch floatle (4 bytes per sample)
    ID_AUDIO_CODEC=ffaac
    Starting playback...
    
    
    MPlayer interrupted by signal 11 in module: decode video
    ID_SIGNAL=11
    - MPlayer crashed by bad usage of CPU/FPU/RAM.
      Recompile MPlayer with --enable-debug and make a 'gdb' backtrace and
      disassembly. Details in DOCS/HTML/en/bugreports_what.html#bugreports_crash.
    - MPlayer crashed. This shouldn't happen.
      It can be a bug in the MPlayer code _or_ in your drivers _or_ in your
      gcc version. If you think it's MPlayer's fault, please read
      DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and
      won't help unless you provide this information when reporting a possible bug.

  2. #2
    Join Date
    Dec 2006
    Beans
    7,075

    Re: SMplayer Version of MPlayer doesn't support AAC?

    Perhaps update your version of MPlayer:

    Howto: Build the svn MPlayer under the latest release version of Ubuntu
    http://www.andrews-corner.org/mplayer.html
    You think that's air you're breathing now?

  3. #3
    Join Date
    Oct 2004
    Location
    San Antonio, TX
    Beans
    120
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: SMplayer Version of MPlayer doesn't support AAC?

    Followed the guide but the build of MPlayer dies with the following error:

    libavformat/sctp.c:41:26: fatal error: netinet/sctp.h: No such file or directory
    compilation terminated.
    make[1]: *** [libavformat/sctp.o] Error 1
    make[1]: Leaving directory `/home/ewang/mplayer_build/mplayer/ffmpeg'
    make: *** [ffmpeg/libavformat/libavformat.a] Error 2


    Any other suggestions?

  4. #4
    Join Date
    Dec 2006
    Beans
    7,075

    Re: SMplayer Version of MPlayer doesn't support AAC?

    There is a breakage in MPlayer compilation at the moment, wait a day and try again .
    You think that's air you're breathing now?

  5. #5
    Join Date
    Feb 2009
    Location
    Dallas, TX
    Beans
    6,894
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: SMplayer Version of MPlayer doesn't support AAC?

    @andrew.46

    Doesn't mplayer use ffmpeg codecs in the background?
    and if so, wouldn't adding AAC support to ffmpeg solve this problem (like this for example)?

    Not sure myself, that's why I'm asking.
    Regards.

  6. #6
    Join Date
    Dec 2006
    Beans
    7,075

    Re: SMplayer Version of MPlayer doesn't support AAC?

    Might be a better option as compiling the svn version is broken .
    You think that's air you're breathing now?

  7. #7
    Join Date
    Dec 2006
    Beans
    20

    Re: SMplayer Version of MPlayer doesn't support AAC?

    I use this ppa:
    https://launchpad.net/~motumedia/+archive/mplayer-daily

    install mplayer2 since the latest normal mplayer build in this ppa is broken, the mplayer2 in this ppa works fine, its not the same that is in the mplayer2 homepage wich for me dont read dvd's

    remember I found it through the mplayer homepage but not remember how, checked again and cant find it, also remember that in the mplayer homepage said that mplayer was compiled twice in a week in this ppa, so deactivate it if you dont want frequent updates, i do a update almost every 2 months activating the ppa and deactivating it again.
    Last edited by cuyo01; May 12th, 2012 at 06:23 AM.

  8. #8
    Join Date
    Oct 2004
    Location
    San Antonio, TX
    Beans
    120
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: SMplayer Version of MPlayer doesn't support AAC?

    Followed the instructions to build the FFMpeg, and now I have AAC support, but I still get an Error Code 1 because of mplyer not supporting A** subtitles. So guess I'm SOL until th mplayer build problem is fixed. Any idea when that might be? IOW when you say wait a day or so, do you mean today, or Monday, or... I'm just wondering if there is a weekly build where they make sure it works. Along that same line, would it be possible to just point the mplayer build to a different leg of the repository to just build the last "good" version rather than the nightly? Or would you have to change a lot of the other commands as well?

    Thanks for the help!

  9. #9
    Join Date
    Nov 2011
    Beans
    3

    Re: SMplayer Version of MPlayer doesn't support AAC?

    I did a:

    Code:
    sudo apt-get install libsctp-dev lksctp-tools
    ...and now it compiles

  10. #10
    Join Date
    Nov 2008
    Location
    Metro Boston
    Beans
    9,033
    Distro
    Kubuntu 14.04 Trusty Tahr

    Re: SMplayer Version of MPlayer doesn't support AAC?

    On the subbing group's site we have this:

    EVERY SINGLE ONE OF OUR RELEASES SINCE SEPTEMBER 7TH, 2011 IS 10 BIT.
    You cannot play a 10-bit encoding with VDPAU because the H.264 decoder on the video card doesn't have support for 10-bit color. Try playing it with the xv driver (in SMPlayer Options > Preferences > Video). If your CPU can't keep up with a 1080p H.264 encode, then get a different version of the video.

    I just rebuilt mplayer2 from the source code at http://www.mplayer2.org/ the other day without incident. You'll need to run

    Code:
    sudo apt-get install build-essential
    sudo apt-get build-dep mplayer
    to get the necessary compiler, headers and libraries. After that it should build cleanly just by running "make" after you unpack the archive.
    Last edited by SeijiSensei; May 12th, 2012 at 03:07 PM.

Page 1 of 2 12 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •